--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: We want to respond to a hung server in a timely manner. If nothing was received in the user-selected timeout and we haven't PINGed the server yet, we PING the server. If the PONG is not received within the user-defined timeout, we assume we're in ping timeout and act accordingly.
full_name: Irc::Bot#ping_server
is_singleton: false
name: ping_server
params: ()
visibility: public
